<?php

namespace App\Services;

use App\Repositories\ExerciseRepository;

class ExerciseService
{
    protected $exerciseRepo;

    public function __construct(ExerciseRepository $exerciseRepo)
    {
        $this->exerciseRepo = $exerciseRepo;
    }

    public function getAllExercises($premiumFilter = false)
    {
        return $this->exerciseRepo->getPublished($premiumFilter);
    }

    public function getExerciseBySlug($slug)
    {
        return $this->exerciseRepo->findBySlug($slug);
    }
}
